Subject: 2.6 kernel on XUPV2pro / ML300 board!

From: Ameet Patil <[email-masked]>
Date: Wed, 28 Jun 2006 18:50:03 +0100

Hi,
   I have a XUPV2Pro Xilinx Embedded PPC405 board which is similar in 
many respects to the ML3XX series. With good support in the kernel 
source tree, I was easily able to compile the 2.4.26 linux kernel to run 
on it.

However, I wanted 2.6 kernel to run on it. For some reason, the Xilinx 
drivers and the OCP code went missing in the 2.6 kernel tree.
Does anyone know why did 2.6 kernel drop the Xilinx ML300 board
drivers (SysACE, Ethernet, Frame Buffer) which were present in the 2.4
kernel code tree? It is because of porting issues?

Anyway, I have ported the old 2.4 Xilinx drivers (Sysace and Ethernet) 
to 2.6.17.1 kernel. If anyone is interested to test them, please let me 
know. I shall put out a patch soon...

Thanks,
-Ameet